# SPDX-FileCopyrightText: 2020 IN COMMON Collective <collective@incommon.cc>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

class Agent < ApplicationRecord
  has_many :agencies
  has_many :members, through: :agencies, source: :user
  has_many :resources
  has_many :taxonomies
  has_many :categories, through: :taxonomies
  has_many :sections, through: :categories

  def to_param
    uuid
  end

  def to_s
    name
  end
end
