# SPDX-FileCopyrightText: 2018-2020 IN COMMON Collective <collective@incommon.cc>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

# frozen_string_literal: true

# See lib/sso/from_discourse.rb
# module SSO
#   class FromDiscourse
#     class << self
#       attr_accessor :config
#     end
#   end
# end

require 'sso/from_discourse'

SSO::FromDiscourse.config = {
  sso_url: 'https://talk.incommon.cc/session/sso_provider',
  return_url: Rails.env.production? ? "https://ateliers-carto.incommon.cc/authenticate" : "http://localhost:3000/authenticate",
  sso_secret: Rails.application.credentials.sso_secret,
}
