# SPDX-FileCopyrightText: 2020 IN COMMON Collective <collective@incommon.cc>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

module INCOMMON
  module_function
  def repo_url(version)
    case version
    when /^incommon-map (.*)@(.*)/
      query="h=#{$1}&id=#{$2}"
    else
      query="h=HEAD"
    end
    URI.parse("https://code.cepheide.org/incommon-map.git/tree/?#{query}").to_s
  end
end
